Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DLAR2V

    java.lang.Object
      org.netlib.lapack.DLAR2V

    public class DLAR2V

extends java.lang.Object

    DLAR2V is a simplified interface to the JLAPACK routine dlar2v.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLAR2V applies a vector of real plane rotations from both sides to
     *  a sequence of 2-by-2 real symmetric matrices, defined by the elements
     *  of the vectors x, y and z. For i = 1,2,...,n
     *
     *     ( x(i)  z(i) ) := (  c(i)  s(i) ) ( x(i)  z(i) ) ( c(i) -s(i) )
     *     ( z(i)  y(i) )    ( -s(i)  c(i) ) ( z(i)  y(i) ) ( s(i)  c(i) )
     *
     *  Arguments
     *  =========
     *
     *  N       (input) INTEGER
     *          The number of plane rotations to be applied.
     *
     *  X       (input/output) DOUBLE PRECISION array,
     *                         dimension (1+(N-1)*INCX)
     *          The vector x.
     *
     *  Y       (input/output) DOUBLE PRECISION array,
     *                         dimension (1+(N-1)*INCX)
     *          The vector y.
     *
     *  Z       (input/output) DOUBLE PRECISION array,
     *                         dimension (1+(N-1)*INCX)
     *          The vector z.
     *
     *  INCX    (input) INTEGER
     *          The increment between elements of X, Y and Z. INCX > 0.
     *
     *  C       (input) DOUBLE PRECISION array, dimension (1+(N-1)*INCC)
     *          The cosines of the plane rotations.
     *
     *  S       (input) DOUBLE PRECISION array, dimension (1+(N-1)*INCC)
     *          The sines of the plane rotations.
     *
     *  INCC    (input) INTEGER
     *          The increment between elements of C and S. INCC > 0.
     *
     *  =====================================================================
     *
     *     .. Local Scalars ..

Constructor Summary
`DLAR2V()`

Method Summary
`static void` | `DLAR2V(int n, double[] x, double[] y, double[] z, int incx, double[] c, double[] s, int incc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DLAR2V

    public DLAR2V()

Method Detail

### DLAR2V

    public static void DLAR2V(int n,
                              double[] x,
                              double[] y,
                              double[] z,
                              int incx,
                              double[] c,
                              double[] s,
                              int incc)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD